# Generates a new SCIM API token. POST https://app.unleash-instance.example.com/api/admin/scim-settings/generate-new-token **Enterprise feature** Generates a new SCIM API token. Previously generated tokens will be invalidated. Reference: https://docs.getunleash.io/api/generate-new-token ## OpenAPI Specification ```yaml openapi: 3.1.1 info: title: Generates a new SCIM API token. version: endpoint_unstable.generateNewToken paths: /api/admin/scim-settings/generate-new-token: post: operationId: generate-new-token summary: Generates a new SCIM API token. description: >- **Enterprise feature** Generates a new SCIM API token. Previously generated tokens will be invalidated. tags: - - subpackage_unstable parameters: - name: Authorization in: header description: Header authentication of the form `undefined ` required: true schema: type: string responses: '200': description: '#/components/schemas/scimTokenSchema' content: application/json: schema: $ref: '#/components/schemas/scimTokenSchema' '401': description: >- Authorization information is missing or invalid. Provide a valid API token as the `authorization` header, e.g. `authorization:*.*.my-admin-token`. content: {} '403': description: >- The provided user credentials are valid, but the user does not have the necessary permissions to perform this operation content: {} '404': description: The requested resource was not found. content: {} components: schemas: scimTokenSchema: type: object properties: token: type: string description: >- The token used for SCIM API authentication. Can be revoked at a later stage by generating a new one. required: - token ``` ## SDK Code Examples ```python import requests url = "https://app.unleash-instance.example.com/api/admin/scim-settings/generate-new-token" headers = {"Authorization": ""} response = requests.post(url, headers=headers) print(response.json()) ``` ```javascript const url = 'https://app.unleash-instance.example.com/api/admin/scim-settings/generate-new-token'; const options = {method: 'POST', headers: {Authorization: ''}}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "net/http" "io" ) func main() { url := "https://app.unleash-instance.example.com/api/admin/scim-settings/generate-new-token" req, _ := http.NewRequest("POST", url, nil) req.Header.Add("Authorization", "") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://app.unleash-instance.example.com/api/admin/scim-settings/generate-new-token") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Post.new(url) request["Authorization"] = '' response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.post("https://app.unleash-instance.example.com/api/admin/scim-settings/generate-new-token") .header("Authorization", "") .asString(); ``` ```php request('POST', 'https://app.unleash-instance.example.com/api/admin/scim-settings/generate-new-token', [ 'headers' => [ 'Authorization' => '', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://app.unleash-instance.example.com/api/admin/scim-settings/generate-new-token"); var request = new RestRequest(Method.POST); request.AddHeader("Authorization", ""); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = ["Authorization": ""] let request = NSMutableURLRequest(url: NSURL(string: "https://app.unleash-instance.example.com/api/admin/scim-settings/generate-new-token")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "POST" request.allHTTPHeaderFields = headers let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```